"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var webpack_1 = require("webpack");
var path_1 = require("path");
var getWebpackConfig_1 = __importDefault(require("../getWebpackConfig"));
function buildCompiler(dataverseConfig) {
    var config = getWebpackConfig_1.default();
    var entry = {};
    for (var _i = 0, _a = Object.keys(dataverseConfig.assets); _i < _a.length; _i++) {
        var srcFile = _a[_i];
        entry[srcFile] = path_1.resolve(dataverseConfig.srcPath, srcFile);
    }
    config.entry = entry;
    config.output = {
        filename: "[name]",
    };
    var compiler = webpack_1.webpack(config);
    return compiler;
}
exports.default = buildCompiler;
