#!/usr/bin/env node

"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var build_1 = __importDefault(require("./cli/build"));
var serve_1 = __importDefault(require("./cli/serve"));
var args = process.argv.slice(2);
var command = args[0] || "serve";
switch (command) {
    case "serve":
        serve_1.default();
        break;
    case "build":
        build_1.default();
        break;
    default:
        throw new Error("Unrecognized webpack-dataverse command: " + command);
}
